Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  API: ModelDocExtension.RemoveTexture ()

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   API: ModelDocExtension.RemoveTexture () (1397 mal gelesen)
Stefan Ansgar Böttcher
Mitglied
Stundent und Hilfskraft in Konstr.Büro


Sehen Sie sich das Profil von Stefan Ansgar Böttcher an!   Senden Sie eine Private Message an Stefan Ansgar Böttcher  Schreiben Sie einen Gästebucheintrag für Stefan Ansgar Böttcher

Beiträge: 62
Registriert: 15.07.2003

erstellt am: 11. Mai. 2004 20:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Hiho!

Ich würde gerne per Makro die Textur des Aktiven Documents entfernen. Dafür ist ja eingentlich status = ModelDocExtension.RemoveTexture () gedacht, aber leider will das bei mir nicht funktionieren:

    Set swModel = swApp.ActiveDoc     
    Set docext = swModel.Extension
    bool = docext.RemoveTexture()

funktioniert leider nicht...

Hab es auch alternativ mal mit:

    DateiMitPfad = swModel.GetPathName()
    bool = swModel.Extension.SelectByID(DateiMitPfad, "COMPONENT", 0, 0, 0, False, 0, Nothing)
    bool = swModel.Extension.ApplyTexture(5.85206, 1, "", 1)

versucht, aber das tuts auch nicht...

Weiß jemand Rat?

töö
    Ansgar.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KMassler
Ehrenmitglied V.I.P. h.c.
CAD Admin + Mädchen für Alles...



Sehen Sie sich das Profil von KMassler an!   Senden Sie eine Private Message an KMassler  Schreiben Sie einen Gästebucheintrag für KMassler

Beiträge: 2616
Registriert: 06.11.2000

** CSWP 01/2008 **
HP Z440, 16GB, Quadro K2200;
SWX2016 SP4;
SAP/PLM;
DriveWorks Pro;
Programmierung: VBA, Relikte mit VB6, aktuell VB.NET 2015

erstellt am: 10. Mai. 2016 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

ACHTUNG! Sie antworten auf einen Beitrag der älter als 1 Jahr ist!

Es ist schon ein Weilchen her und ich weiß nicht, ob du das Problem noch hast.
Da es aber bei mir gerade akut ist, hier die Lösung:

Code:
Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()
Set swApp = _
Application.SldWorks
Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.RemoveTexture2("")
End Sub


RemoveTexture2 erwartet den Konfigurationsnamen, für den die Textur entfernt werden soll. Wenn das leer "" bleibt, dann wird die Textur bei der aktuellen Konfiguration entfernt.

------------------
Klaus

www.al-ko.com | mein Gästebuch

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MAUI89
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von MAUI89 an!   Senden Sie eine Private Message an MAUI89  Schreiben Sie einen Gästebucheintrag für MAUI89

Beiträge: 79
Registriert: 10.02.2015

Solidworks 2016 SP05
Win 7 (64 Bit)
CPU: Intel i7 X980 3,33 GHz
RAM: 24 GB

erstellt am: 23. Mai. 2016 10:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich


0698.016204-Deckel.sldprt

 
Moin,

ich hab hier ein Teil, da funzt es mit deiner Lösung nicht und ich hatte auch schon ein paar andere Makros ausprobiert, aber diese Texturen bekomme ich irgendwie nie gelöscht 

Vielleicht hast du dazu ja auch noch eine Idee.

Mfg Steffen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KMassler
Ehrenmitglied V.I.P. h.c.
CAD Admin + Mädchen für Alles...



Sehen Sie sich das Profil von KMassler an!   Senden Sie eine Private Message an KMassler  Schreiben Sie einen Gästebucheintrag für KMassler

Beiträge: 2616
Registriert: 06.11.2000

** CSWP 01/2008 **
HP Z440, 16GB, Quadro K2200;
SWX2016 SP4;
SAP/PLM;
DriveWorks Pro;
Programmierung: VBA, Relikte mit VB6, aktuell VB.NET 2015

erstellt am: 23. Mai. 2016 16:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

Na super! Jetzt hast du's kaputt gemacht!

Jetzt funktioniert's bei mir auch nicht mehr, bin im Moment ratlos.

------------------
Klaus

www.al-ko.com | mein Gästebuch

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MAUI89
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von MAUI89 an!   Senden Sie eine Private Message an MAUI89  Schreiben Sie einen Gästebucheintrag für MAUI89

Beiträge: 79
Registriert: 10.02.2015

Solidworks 2016 SP05
Win 7 (64 Bit)
CPU: Intel i7 X980 3,33 GHz
RAM: 24 GB

erstellt am: 23. Mai. 2016 16:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

Sry...aber ich glaub das war auch nicht absicht   

Ich weiß auch nicht, bei den Ur-Alt-Teilen ist das irgendwie komisch. Bei neu erstellten funzt es ohne Probleme, aber die alten machen einem ja immer nen Strich durch die Rechnung 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Carsten1210
Mitglied
staatl. geprüfter Holztechniker


Sehen Sie sich das Profil von Carsten1210 an!   Senden Sie eine Private Message an Carsten1210  Schreiben Sie einen Gästebucheintrag für Carsten1210

Beiträge: 1309
Registriert: 24.07.2002

AutoCAD ACA 2018
Solidworks 2016 Sp5
Enterprise PDM 2016 Sp5
Pascam Woodworks
Visual Studio 2017 Pro
Windows 10 64Bit
Dell T3620
Intel Core i7-7700K
16 GB Arbeitsspeicher
2x Samsung S24C650
Dell M4800

erstellt am: 23. Mai. 2016 20:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

Hi,

Geht es da nur um die Grundtextur auf dem Teil oder auch um die Farbe auf dem Körper?!

Für die Grundtextur funktioniert dies hier bei mir:

Code:
Sub main()
        Set swApp = Application.SldWorks
        Set swModel = swApp.ActiveDoc
        swModel.Extension.RemoveMaterialProperty swAllConfiguration, Nothing
        swModel.EditRebuild3
End Sub

Gruß, Carsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KMassler
Ehrenmitglied V.I.P. h.c.
CAD Admin + Mädchen für Alles...



Sehen Sie sich das Profil von KMassler an!   Senden Sie eine Private Message an KMassler  Schreiben Sie einen Gästebucheintrag für KMassler

Beiträge: 2616
Registriert: 06.11.2000

** CSWP 01/2008 **
HP Z440, 16GB, Quadro K2200;
SWX2016 SP4;
SAP/PLM;
DriveWorks Pro;
Programmierung: VBA, Relikte mit VB6, aktuell VB.NET 2015

erstellt am: 24. Mai. 2016 09:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

Ja, damit geht das. Seltsam ...
Dann verwenden wir eben beide   

------------------
Klaus

www.al-ko.com | mein Gästebuch

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MAUI89
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von MAUI89 an!   Senden Sie eine Private Message an MAUI89  Schreiben Sie einen Gästebucheintrag für MAUI89

Beiträge: 79
Registriert: 10.02.2015

Solidworks 2016 SP05
Win 7 (64 Bit)
CPU: Intel i7 X980 3,33 GHz
RAM: 24 GB

erstellt am: 24. Mai. 2016 10:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

Hallo zusammen,

ja also  bei mir ginge es auch um die Farbe.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Carsten1210
Mitglied
staatl. geprüfter Holztechniker


Sehen Sie sich das Profil von Carsten1210 an!   Senden Sie eine Private Message an Carsten1210  Schreiben Sie einen Gästebucheintrag für Carsten1210

Beiträge: 1309
Registriert: 24.07.2002

AutoCAD ACA 2018
Solidworks 2016 Sp5
Enterprise PDM 2016 Sp5
Pascam Woodworks
Visual Studio 2017 Pro
Windows 10 64Bit
Dell T3620
Intel Core i7-7700K
16 GB Arbeitsspeicher
2x Samsung S24C650
Dell M4800

erstellt am: 24. Mai. 2016 11:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

Hi MAUI89,

Dann musst du alle Bodies und wahrscheinlich alle Flächen durchlaufen da ja die Texturen und Farben auch auf diese angewendet werden können.
Um die Farben von den Bodies zu entfernen müsstest du auf "MaterialPropertyValues2" zurück greifen.

Gruß, Carsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MAUI89
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von MAUI89 an!   Senden Sie eine Private Message an MAUI89  Schreiben Sie einen Gästebucheintrag für MAUI89

Beiträge: 79
Registriert: 10.02.2015

Solidworks 2016 SP05
Win 7 (64 Bit)
CPU: Intel i7 X980 3,33 GHz
RAM: 24 GB

erstellt am: 24. Mai. 2016 11:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan Ansgar Böttcher 10 Unities + Antwort hilfreich

Wenn ich demnächst (hoffentlich) nicht mehr ganz so im Stress bin dann probier ich mal rum.

Danke schonmal 

------------------
Mfg Steffen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz